summaryrefslogtreecommitdiff
path: root/select
diff options
context:
space:
mode:
Diffstat (limited to 'select')
-rwxr-xr-xselect14
1 files changed, 14 insertions, 0 deletions
diff --git a/select b/select
new file mode 100755
index 0000000..5464c7d
--- /dev/null
+++ b/select
@@ -0,0 +1,14 @@
+#!/bin/bash
+# Select a repo (for later git commands to operate on)
+
+if [ $# -ne 1 ]; then
+ echo "Syntax: $0 <name>" >&2
+ exit 1
+fi
+
+if [ ! -O "$HOME/$1.git" ]; then
+ echo "$0: error: you must own the repo you want to operate on" >&2
+ exit 1
+fi
+
+echo "$HOME/$1.git" >"$HOME/.selection"